Introduction

V ideo C apture E ssentials
Professional

Fast Analog CardBus Video Capture Card

Professional, fast, state of the art NTSC, PAL, SECAM Video Capture Card for your laptop. Enables you to capture and store video clips and images from any standard video source in full motion (30 frames per second).

VCE-PRO is a low cost, full frame, high performance, plug and play CardBus video capture card allowing you to display, capture, store, and preview full motion video on your notebook computer.

VCE-PRO includes a PCMCIA Video Capture Card, the VCE-PRO Application (a video viewing, configuration, and capturing program), video cables, and software drivers for Windows 2000 and Windows XP operating systems. The card and cable support two composite and one S-Video input connectors with anti-alias filters and one external trigger jack.

The VCE-PRO Application allows you to:

  • capture single frame, multiple frames, and standard AVI clips from a variety of NTSC, PAL or SECAM sources

  • use an external trigger to record in demanding machine vision environments

  • stamp frames with a message along with the date and time of capture

  • view, scroll or step through recorded images

  • set and change image and capturing options

The VCE-PRO Application starts with a VCE-PRO Application window and a Control Panel.

Microsoft, Windows, and Windows XP are either trademarks or registered trademarks of the Microsoft Corporation in the United States and/or other countries. Other product names mentioned herein may be the trademarks of their respective owners.

© Copyright 2001 - 2004, ImperiX Incorporated. All rights reserved.

February 2004


Features

Key features include:

  • PC card cardbus 8.0

  • Plug-and-play

  • Hot insertion and removal

  • Automatic recognition for NTSC, PAL, and SECAM signals

  • 2 Composite, one S-Video inputs with anti-alias filters and one external trigger input

  • Fast video capture (30 frames per second) with selectable window sizes

  • Adjustable image brightness, contrast, saturation and hue

  • Captures single frames, multiple frames and standard AVI clips

  • Adjustable frame rates

  • BMP and adjustable compression JPEG file formats

  • Date and Time stamp options

  • Text overlay options

  • Image viewer with play, stop, pause, fast forward, reverse, step up, and step back options.

  • Windows Mediaplayer compatible AVI files.


VCE-PRO Application Window

The VCE-PRO Application window is a separate window that opens automatically when the program starts. This window provides the primary area for viewing real-time images received from the camera.

When image viewing is active, the size of this window is automatically scaled to match the incoming video signal ( i.e. NTSC or PAL ) and the Zoom setting. The VCE-PRO Application window can be sized and moved to suit your needs.

Click on the menu items below for more information.

The VCE-PRO Application window also has a status bar on the bottom of the window. The status bar displays Camera Status and DMA Status.

The Control Panel window is overlayed on top of the VCE-PRO Application window.


menu_file

File Menu

The VCE-PRO Application window provides 2 choices on the File menu. Click on the menu for more information.


menu_grabber

Grabber Menu

The VCE-PRO Application window provides up to 3 choices on the Grabber menu. Click on the menu for more information.


menu_camera

Camera Menu

The VCE-PRO Application window provides 5 choices on the Camera menu. Click on the menu for more information.


menu_control panel

Control Panel Menu

The VCE-PRO Application window provides up to 2 choices on the Control Panel menu. Click on the menu items for more information.


menu_help

Help Menu

The VCE-PRO Application window provides 2 choices on the Help menu. Click on the choices for more information.


DMA Status

Displays the real-time status of the DMA process as Active or Inactive.

Active indicates that you have commanded the VCE-PRO to acquire video data by clicking on the Start Grab button and that the camera is providing valid framing.

Inactive indicates that you have commanded the VCE-PRO to stop acquiring video data by clicking on the Stop Grab button or that grabbing is enabled but the camera is not providing valid framing.

.


Camera Status

Displays the real-time status of the camera as Online or Offline.

Online indicates that the camera is powered on, attached and providing a signal.

Offline indicates that the VCE-PRO card is not receiving a signal from the camera because the camera is powered off or the cable is disconnected.


Control Panel

The Control Panel gives you complete control over the images and movies you view and record. Click on the controls below for more information.

  Click here for Image Control settings


Player

Player Dialog

The Player Dialog window is a separate window that opens automatically when you click Player on the File menu. This window displays the images you play using the Player Control window. You can move the Player Control and Player Dialog windows to suit your needs.

Click on the controls for more information.


Specifications

Video Source:

  • Composite or S-Video

  • Square pixel and CCIR601 resolution for:

NTSC

PAL (B, D, G, H, I, M, N)

SECAM

  • Auto NTSC/PAL format detection

  • Automatic gain control

  • 16 bit YCrCb (R:2) digital output

Physical Dimensions:

  • PCMCIA Type II: 85mm(4.55in) x 54mm(2.1in) x 5mm(.2in)

  • Weight: 35 grams (1.25 oz)

Electrical Characteristics:

  • Operating voltage: 3.3V +/- 5%

  • Operating current: 160mA

  • Inrush current: 350mA

Operating Environment:

  • Operating temperature: 0°C to 65°C

  • Relative humidity: 90% noncondensing


System Requirements

Hardware:

  • PCMCIA slot that is Cardbus compliant

  • An up-to-date Cardbus-to-PCI chipset (Cardbus Controller)

  • 800x600 screen resolution (minimum)

  • 24 bit color depth (minimum)

  • 300 Mhz Pentium class processor (minimum)

  • 256 Mb system memory (minimum)

Operating System:

  • Windows 2000

  • Windows XP Home

  • Windows XP Professional


Technical Support

For questions, comments, suggestions, and help you can:

Email: techsupport@imperx.com

- or -

Call: (+1) 561-989-0006 or Toll Free (866) 849-1662

- or -

Fax: (+1) 561-989-0045

- or -

Visit our Web Site: www.imperx.com

6421 Congress Avenue, Suite 204
Boca Raton, Florida, 33487, USA


Accessories

Right angle RCA male/female adapter

Model: RCAC-01

Description: A 90 degree RCA adapter with both male and female ends.

Software Development Kit is a DLL based software development platform supporting C++ and Visual Basic. Includes easy to follow examples for fast custom application development.


AVI

AVI Video Settings

Clicking on this button allows you to view and set Options for an AVI Video. Click on the controls for more Information.

  Click here for File Names Click here for Text Overlay


AVI-pop

AVI Video is a series of BMP files assembled into a single AVI movie file. This choice is not available if Image Format is set to JPEG.


AVI Capture

AVI Capture Settings

These settings allow you to set the number of frames per second and limit the amount of disk space used.


AVI Compression

AVI Compression allows you to select from a variety of compression techniques and configuration options.


Brightness

Brightness is a measure of how much white a color contains. Moving the slider up increases brightness (more white) while moving it down decreases brightness (less white).


Camera Menu

Select Interlace if the video source is interlaced.

Select Composite 1 if the video source is a composite signal and is connected to channel #1.

Select Composite 2 if the video source is a composite signal and is connected to channel #2.

Select S-Video 1 if the video source is an S-Video signal and is connected to input #1.

Select S-Video 2 if the video source is an S-Video signal and is connected to input #2.


Capture Options

Provides 4 capture choices. Each opens a dialog box providing additional options. Click on the controls for more information.

Single Frames captures "snap shot" single frames.

Series of Frames captures a series of frames (individual files) named in sequential order.

AVI Video automatically makes an AVI Video (series of BMP files assembled into a single AVI movie). This choice is not available if Image Format is set to JPEG.

External Trigger captures in response to an external trigger.


Cardbus

Cardbus-to-PCI Chipsets

You can determine the chipset your computer uses by looking in the Control Panel, System, Hardware, then PCMCIA adapters.

The following chipsets generally offer better performance in terms of DMA transfer rates.

TI PCI-1520
TI PCI-4510

The following chipsets are not recommended because of their poor DMA performance.

O2 Micro OZ6912
TI PCI-1225


Contrast

Contrast is the difference in tone between the dark and light areas of an image.

Moving the slider up increases contrast causing greater differences between dark and light with fewer gradations between them.

Moving the slider down decreases contrast causing fewer differences between dark and light with more gradations between them.


Ext_tri

External Trigger

Clicking on this button allows you to view and set Options for capturing multiple frames using an external trigger. Click on the controls for more Information.


File Name

This text box allows you to name the files as they are recorded.

For Single Frames or Series of Frames, the filename extension (.BMP or .JPG) will be added automatically depending on the image type you choose in Image Type. So, you do not need to include the filename extension.

Clicking [image] is an easy way to select an existing drive and folder (or directory).


Filename-avi

File Name

This text box allows you to name the files as they are recorded.

For AVI Video, the .AVI filename extension will be automatically added. So, you do not need to include the filename extension.

Clicking [image] is an easy way to select an existing drive and folder (or directory).


Filename-series

File Name

This text box allows you to name the files as they are recorded.

For Multiple Frames, the filename extension (.BMP or .JPG) will be added automatically depending on the image type you choose in Image Type. So, you do not need to include the filename extension.

Clicking [image] is an easy way to select an existing drive and folder (or directory).

Append to filename automatically adds these choices to the end of the filename you entered.


Grabber Menu

The VCE-PRO Application supports up to two frame grabbers. The Grabber Menu allows you to select a specific frame grabber and make it active. The Slot # choice that is checked is the currently active frame grabber.

The Refresh choice updates your choices and should be used when adding or removing a frame grabber.


Help

Help Menu

About displays detailed information about the VCE-PRO Application, Drivers, and the Firmware.

Help manual displayes the VCE-PRO Application online Help.


Hue

Hue determines color (yellow, orange, red, etc.). Moving the slider up increases Red and Yellow. Moving the slider down increases Blue and Green.


Image Control

Image Control gives you complete control over how the images and movies look during preview and how they are recorded. Click on the controls for more information.


Image Format

Provides choices for Windows BMP or JPEG images.

Selecting JPEG activates the Compression slider. Best Quality provides the least compression and Smallest File provides the most compression.

Note: Compression is not available for single BMP images or a series of BMP images. Use AVI Video if you want compression.


Image Size

Determines the size of the Preview Window and the captured image. Depending on the camera input, the image sizes are automatically updated to image sizes as shown:

 | NTSC | PAL
Full Frame | 640x480 | 704x576
1/2 Frame | 320x240 | 352x288
1/4 Frame | 160x120 | 176x144
Custom | User Defined


Color Settings

Use these choices to match the camera input. Either Color or Monochrome.


Input

Input color carrier level

This selection informs the VCE-PRO of the strength on the incoming Carrier Level color signal. If the input signal's strength is low (due to a worn VCR head or excessive cabling) then set this field to Low otherwise set it to Normal.

Note: Incorrect selection may result in a color source being displayed as Black & White.


Interlace-pop

Interlace

When a video image is created by the camera, the image consists of two fields, an Odd Field and an Even Field. On televisions and CCTV monitors, these fields are automatically merged (alternating a line from the Even Field followed by a line from the Odd Field) to create the image you see.

To increase frame rate, video capture cards may discard one of these fields.

This increases capture speed but degrades image quality to some degree. The loss of image quality is most noticeable on larger images.

Video Capture Essentials provides an Interlaced Mode so this image data is not lost. This results in a crisper and clearer image.

Note: Interlaced is not recommended for objects in motion.


Playback Buttons

The Playback Buttons allow you to easily view an AVI Movie or a series of JPEG or BMP images.

Rewind - displays the first image in the series.

Step Backwards - displays the previous image.

Play - begins showing JPEG or BMP images one after another in the directory or folder selected in the Playback Control Panel. To view AVI movies use Windows Media Player or another suitable program.

Step Forward - displays the next image.

Fast Forward - displays the last image in the series.

Stop - stops current playback.


Playback Files

This box lists all the image or movie files in the folders or directories you selected in Path.


Playback Path

This text box allows you select the folders or directories containing your images or movies.

Clicking [image] is an easy way to select an existing drive and folder (or directory).


Player Image Size

Automatically resizes the Player Dialog and the images displayed to match the settings made here. This setting doesn't actually change the image size, it simply resizes them for display.


Reset

Reset returns brightness, contrast, hue, and saturation to their default settings.


Saturation

Saturation is the purity or vividness of a color, expressed as the absence of white. A color that has 100% saturation contains no white whereas a color with 0% saturation is a shade of gray.

Moving the slider up removes white from the colors. Moving the slider down adds white to the colors.


Series

Multiple Frames Settings

Clicking on this button allows you to view and set options for Multiple Frames. Click on the controls for more Information.


Series Capture

Multiple Frames Capture Settings

Capture every: allows you to control how often an image is captured. Use this feature to take snapshots at regular intervals to create a time-lapse series of images.

Capture at: allows you to the number of frames per second.

Limit capture time to: allows you to limit the duration of the recording by time.

Limit number of frames to: allows you to limit the duration of recording by the number of frames specified.


Series Capture part 1

Multiple Frames Capture Settings

Capture every: allows you to control how often an image is captured. Use this feature to take snapshots at regular intervals to create a time-lapse series of images.


Series Capture part 2

Multiple Frames Capture Settings

Limit capture time to: allows you to limit the duration of the recording by time.

Limit number of frames to: allows you to limit the duration of recording by the number of frames specified.

Save all frames to same folder causes frames of multiple trigger events to be saved to the same folder. Otherwise, a new folder is automatically created for each triggered event.


Show Panel

Allows you to show the Control Panel. Selecting this item causes the Control Panel to appear. When the Control Panel is open, the Show panel menu item changes to Hide panel. Clicking on Hide panel causes the Control Panel to close.


Single

Single Frames Settings

Clicking on this button allows you to view and set options for "snap shot" Single Frames. Click on the controls below for more Information.


StartStopHide

Start, Stop, and Hide

Clicking the Start Grab button activates the VCE-PRO Application window and displays the output from the camera.

Clicking the Start Capture button starts recording. Click Start Capture again to stop recording. The choices set in Capture Options determine what, how, and when actual recording is performed.

Clicking the Hide button hides the Control Panel.


Text Overlay

Checking Date and Time automatically places the date and time on each image. Date and time formats are the same as those used on your computer.

Checking Text Message allows you to enter a text string to be automatically placed on each image.

Position: allows you to specify where on the image you want the Date/Time and/or Text added.


Trigger

Trigger Behavior

Trigger while high - starts capturing images when the trigger is high (voltage present). Keeps capturing until the trigger is low (voltage not present).

Trigger while low - starts capturing images when the trigger is low (voltage not present). Keeps capturing until the trigger is high (voltage present).

Toggle on falling edge - starts capturing images on the falling edge.

Toggle on rising edge - starts capturing images on the rising edge.

Note: All triggers work in conjunction with Limit capture time to: and Limit number of frames to:. If you do not want these settings to affect the triggers, set them to 0 (zero).


Zoom

Allows you to set the VCE-PRO Application window and the captured image size to Full Frame, 1/2 Frame, or 1/4 Frame sizes.